Excluding "related to" relation from circular dependency check
Status: Closed Start date:  

Priority: Normal Due date:  

Assignee:  % Done: 0%

Category: Issues Estimated time: 0.00 hour

Target version:    

Resolution: Duplicate   

Description

Given there are three tickets,

task-A

task-B

task-C

on a tracker named "tasks".

Relations are set

task-A precedes task-B

task-B precedes task-C

These are kind of processes that hand works to another.

We want to set "related to" relation between task-A and task-C, because the output of the task-A becomes input of task-C.

However, Redmine 2.2.2 and Redmine 2.3.2 does not allow us to do it, says "This relation would create a circular dependency".

Please reconsider excluding "related to" from circular dependency check. So far I am thinking that it will not cause contradiction.

Apparently, re-entering X-Y relation as Y-X is unnecessary and should be blocked.

Related issues:

Is duplicate of Redmine - Defect #8628: "Related to" reference may yield circ... Closed 2011-06-16

History

#1 - 2013-08-10 10:29 - Toru Haraguchi

Indentation was treated as block quote(?) by the wiki engine. Please reformat it, as I do not have the right.

#2 - 2013-08-10 11:09 - Toshi MARUYAMA

- Description updated

#3 - 2013-08-10 11:09 - Toshi MARUYAMA

Toru Haraguchi wrote:

Indentation was treated as block quote(?) by the wiki engine. Please reformat it, as I do not have the right.

 Done.

#4 - 2014-06-03 18:03 - @ go2null

Duplicate of Defect #8628 "Related to" reference may yield circular dependency error message

#5 - 2014-06-30 06:54 - Toshi MARUYAMA

- Status changed from New to Closed

- Resolution set to Duplicate

@ go2null wrote:

Duplicate of Defect #8628 "Related to" reference may yield circular dependency error message
https://www.redmine.org/issues/8628
https://www.redmine.org/issues/8628


 Thank you for your pointing.

#6 - 2014-06-30 06:55 - Toshi MARUYAMA

- Is duplicate of Defect #8628: "Related to" reference may yield circular dependency error message added

#7 - 2014-06-30 06:55 - Toshi MARUYAMA

- Category changed from Issues planning to Issues
